Delete
curl --request DELETE \
--url https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}Saved Query
Delete
Deletes a saved query by its id. Idempotent: the response is 204 whether or not the id existed, so a retried delete is not an error.
DELETE
/
v1
/
query
/
saved-queries
/
{query_id}
Delete
curl --request DELETE \
--url https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://devx.{environment}.oleria.io/v1/query/saved-queries/{query_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}{
"code": "QUERY_PARSE_ERROR",
"message": "Failed to parse SQL query",
"details": {
"line": 3,
"column": 15,
"hint": "Unexpected token near 'SELCT'"
},
"reasons": [
{
"code": "MUTATION_NOT_ALLOWED",
"message": "Only SELECT queries are permitted. Mutation statements are not allowed."
}
]
}Authorizations
OAuth 2.0 Client Credentials flow. The tokenUrl shown is for the production environment. For other environments, replace prod with the target environment name (e.g., auth.staging.oleria.io for staging).
Scopes
ClientCredentialsResourceServer/client_credentials_base_scope
Default scope used for all client credentials (RBAC is controlled via permissions in the bearer token)
Path Parameters
The opaque saved-query identifier.
Response
Saved query deleted, or did not exist.

